=== debian/changelog ===
blends (0.7.11) unstable; urgency=medium

  * Drop build time test to build reproducibly
    Closes: #1104515
  * Standards-Version: 4.7.2
  * Rules-Requires-Root: no is default now ... removing

 -- Andreas Tille <tille@debian.org>  Mon, 20 Oct 2025 15:01:17 +0200
