=== examples/debian/rules ===
#!/usr/bin/make -f

include /usr/share/blends-dev/rules
